org.richfaces.renderkit.html

## Class DataFilterSliderRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.DataFilterSliderRendererBase
        - - org.richfaces.renderkit.html.DataFilterSliderRenderer

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

      public class DataFilterSliderRenderer
      extends DataFilterSliderRendererBase

  Renderer for component class org.richfaces.renderkit.html.DataFilterSliderRenderer

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataFilterSliderRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UIDataFltrSlider component, org.ajax4jsf.renderkit.ComponentVariables variables)`
    `protected java.lang.Class` | `getComponentClass()` Get base component class, targetted for this renderer.
    `protected org.ajax4jsf.resource.InternetResource[]` | `getScripts()`
    `protected org.ajax4jsf.resource.InternetResource[]` | `getStyles()`

    - ### Methods inherited from class org.richfaces.renderkit.DataFilterSliderRendererBase

      `attributeToBoolean, doDecode, encodeChildren, getConvertedValue, getEventHandlerFunction, getRequestMap, renderSliderJs1, renderSliderJs2`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataFilterSliderRenderer

          public DataFilterSliderRenderer()

  - ### Method Detail

    - #### getStyles

          protected org.ajax4jsf.resource.InternetResource[] getStyles()

      Overrides:
        `getStyles` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

    - #### getScripts

          protected org.ajax4jsf.resource.InternetResource[] getScripts()

      Overrides:
        `getScripts` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Get base component class, targetted for this renderer. Used for check arguments in decode/encode.
      Overrides:
        `getComponentClass` in class `DataFilterSliderRendererBase`
      Returns:

    - #### doEncodeEnd

          public void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         UIDataFltrSlider component,
                         org.ajax4jsf.renderkit.ComponentVariables variables)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### doEncodeEnd

          public void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                           throws java.io.IOException

      Overrides:
        `doEncodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

Copyright © 2013. All Rights Reserved.